Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse
Class ColorerPlugin

    java.lang.Object
      AbstractUIPlugin
          net.sf.colorer.eclipse.ColorerPlugin

    public class ColorerPlugin

extends AbstractUIPlugin

The main plugin class to be used in the desktop.

Constructor Summary
`ColorerPlugin()` The constructor.

Method Summary
`void` | `addReloadListener(IColorerReloadListener listener)` Adds HRC database reload action listener
`ColorManager` | `getColorManager()`
`static ColorerPlugin` | `getDefault()` Returns the shared instance.
`static ParserFactory` | `getDefaultPF()`
`java.util.Vector` | `getHRDList()`
`ParserFactory` | `getParserFactory()`
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static IWorkspace` | `getWorkspace()` Returns the workspace instance.
`void` | `reloadParserFactory()`
`void` | `removeReloadListener(IColorerReloadListener listener)` Adds HRC database reload action listener
`void` | `start(BundleContext context)` This method is called upon plug-in activation
`void` | `stop(BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorerPlugin

    public ColorerPlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`

### getDefault

    public static ColorerPlugin getDefault()

  Returns the shared instance.

### getDefaultPF

    public static ParserFactory getDefaultPF()

  Returns:
    Default parser factory from default plugin instance

### getParserFactory

    public ParserFactory getParserFactory()

### reloadParserFactory

    public void reloadParserFactory()

### getHRDList

    public java.util.Vector getHRDList()

### addReloadListener

    public void addReloadListener(IColorerReloadListener listener)

  Adds HRC database reload action listener

### removeReloadListener

    public void removeReloadListener(IColorerReloadListener listener)

  Adds HRC database reload action listener

### getColorManager

    public ColorManager getColorManager()

### getWorkspace

    public static IWorkspace getWorkspace()

  Returns the workspace instance.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.